- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members
MaxFractionalMatching< GR, TR >::SetMatchingMap< T > Struct Template Reference

## Detailed Description

### template<typename GR, typename TR>
template<typename T>
struct lemon::MaxFractionalMatching< GR, TR >::SetMatchingMap< T >

Named parameter for setting MatchingMap type.

`#include <lemon/fractional_matching.h>`

Inheritance diagram for MaxFractionalMatching< GR, TR >::SetMatchingMap< T >:
[legend]

## Additional Inherited Members
Public Types inherited from MaxFractionalMatching< Graph, SetMatchingMapTraits< T > >
typedef SetMatchingMapTraits< T > | Traits
| The traits class of the algorithm.
typedef SetMatchingMapTraits < T >::Graph | Graph
| The type of the graph the algorithm runs on.
typedef SetMatchingMapTraits < T >::MatchingMap | MatchingMap
| The type of the matching map.
typedef SetMatchingMapTraits < T >::Elevator | Elevator
| The type of the elevator.
Public Member Functions inherited from MaxFractionalMatching< Graph, SetMatchingMapTraits< T > >
| MaxFractionalMatching (const Graph &graph, bool allow_loops=true)
| Constructor. More...
MaxFractionalMatching & | matchingMap (MatchingMap &map)
| Sets the matching map. More...
MaxFractionalMatching & | elevator (Elevator &elevator)
| Sets the elevator used by algorithm. More...
const Elevator & | elevator () const
| Returns a const reference to the elevator. More...
const MatchingMap & | matchingMap () const
| Returns a const reference to the matching map. More...
int | matchingSize () const
| Return the number of covered nodes in the matching. More...
int | matching (const Edge &edge) const
| Return `true` if the given edge is in the matching. More...
Arc | matching (const Node &node) const
| Return the fractional matching arc (or edge) incident to the given node. More...
bool | barrier (const Node &node) const
| Returns true if the node is in the barrier. More...
void | init ()
| Initializes the internal data structures. More...
void | start (bool postprocess=true)
| Starts the algorithm and computes a fractional matching. More...
bool | startPerfect (bool postprocess=true)
| Starts the algorithm and computes a perfect fractional matching. More...
void | run (bool postprocess=true)
| Runs the algorithm. More...
bool | runPerfect (bool postprocess=true)
| Runs the algorithm to find a perfect fractional matching. More...
Static Public Attributes inherited from MaxFractionalMatching< Graph, SetMatchingMapTraits< T > >
static const int | primalScale
| Scaling factor for primal solution. More...